---
layout: markdown_page
title: "GitLab Purpose"
description: "GitLab empowers everyone through knowledge sharing, job access, and our software platform."
canonical_path: "/company/purpose/"
---

## On this page
{:.no_toc}

- TOC
{:toc}

## Mission

GitLab believes that [everyone can contribute](/company/mission/){:data-ga-name="mission"}{:data-ga-location="body"}. 

## Purpose

GitLab increases lifetime earning potential through training, access to opportunities, and the DevOps platform.

## Identifying GitLab's Purpose

GitLab's purpose lies at the intersection of these four circles. 

1. World Needs: 
    1. Individual progress (training and access to opportunities)
    1. Organization progress (DevOps Platform, faster iteration)
1. Company skill: iteration (fast innovation, open source contributions) 
1. Passionate about: open (to contributions, transparency)
1. Economic value: bundling into a single application 


## How we support the purpose

### Training

Our knowledge sharing empowers everyone, not only to GitLab team members but also the world, through inclusive learning opportunities, mentorship programs, and transparently sharing how we operate.

#### How to run a startup company
1. 2400 page [handbook](/handbook){:data-ga-name="handbook"}{:data-ga-location="body"} details how we approach almost any topic and is available to anyone with an internet connection
     1. Companies copy and paste from our handbook
     1. Y Combinator now recommends that startups ask 'what would GitLab do' 
1. [Transparency value](/handbook/values/#transparency){:data-ga-name="transparency"}{:data-ga-location="body"} 
1. [YouTube Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A)
1. [CEO shadow program](/handbook/ceo/shadow/) also open to [people outside of GitLab](/handbook/ceo/shadow/#eligibility){:data-ga-name="ceo shadow elegibility"}{:data-ga-location="body"} who may be interested 
1. [Certifications](/blog/2021/04/20/everyone-can-get-certified/){:data-ga-name="everyone can get certified"}{:data-ga-location="body"} outside of GitLab skills, e.g. Diversity, Inclusion, and Belonging and Effective Communication

#### Using GitLab the DevOps platform
1. [Certifications](/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/){:data-ga-name="technical certifications"}{:data-ga-location="body"} to demonstrate proficiency with GitLab 
1. Best practices in DevOps are [easy through GitLab](/direction/){:data-ga-name="direction"}{:data-ga-location="body"}
1. Best inclusive practices are easy through GitLab ([rename of the default branch](/blog/2021/03/10/new-git-default-branch-name/){:data-ga-name="default branch name"}{:data-ga-location="body"}, [pronouns in the product](https://twitter.com/gitlab/status/1402306208967561222))

#### Aimed at under-represented or under-resourced groups
1. [Coaching & mentoring program for people from underrepresented groups](/handbook/engineering/volunteer-coaches-for-urgs/){:data-ga-name="coaching"}{:data-ga-location="body"}
1. [Morehouse College Advanced Software Engineering Course](/company/culture/inclusion/erg-minorities-in-tech/advanced-software-engineering-course/){:data-ga-name="SE course"}{:data-ga-location="body"}
1. Targeted events such as [workshops organized for Rails Girls](/handbook/people-group/givelab-volunteer-initiatives/#rails-girls){:data-ga-name="rails girls"}{:data-ga-location="body"}
1. [Minorities in Tech (MIT) mentoring](/company/culture/inclusion/erg-minorities-in-tech/mentoring/program-structure/){:data-ga-name="minorities in tech"}{:data-ga-location="body"} for GitLab team members
1. [Women at GitLab Mentorship program](/company/culture/inclusion/tmrg-gitlab-women/mentorship-program/){:data-ga-name="mentorship"}{:data-ga-location="body"} for team members


### Access to Opportunities

We empower how people work by providing thought leadership on remote work which spreads job opportunities more evenly across geographies, contributions to open source, and job access programs.

#### All-remote
1. Enable more companies to work remotely, which spreads job opportunities more evenly globally across regions and countries
1. Published [The Remote Playbook](https://learn.gitlab.com/suddenlyremote){:data-ga-name="remote playbook"}{:data-ga-location="body"} and the [Remote Work Report](/company/culture/all-remote/remote-work-report/){:data-ga-name="remote work report"}{:data-ga-location="body"}: with over 100,000 downloads, it’s the de facto blueprint as the world transitions to remote work
1. GitLab’s all-remote culture is being taught to execs and business students via case studies with [Harvard Business School](https://www.hbs.edu/faculty/Pages/item.aspx?num=57917) and [INSEAD](https://www.insead.edu/conversations/gitlab-can-all-remote-scale)
1. All remote and remote-first [job boards](/company/culture/all-remote/jobs/#all-remote-and-remote-first-job-boards){:data-ga-name="job boards"}{:data-ga-location="body"}  
1. All remote [certification](/company/culture/all-remote/remote-certification/){:data-ga-name="certification"}{:data-ga-location="body"} to allow more companies to hire remote team members  
1. Reaching hundreds of thousands of remote transitioners via our [How to Manage a Remote Team](https://www.coursera.org/learn/remote-team-management){:data-ga-name="remote team management"}{:data-ga-location="body"} course on Coursera
1. [REMOTE by GitLab](https://remotebygitlab.com/) Event
1. Network effects around evangelizing the remote movement: 30+ organizations openly [inspired by GitLab](/handbook/inspired-by-gitlab/){:data-ga-name="inspired by gitlab"}{:data-ga-location="body"}
1. [Asynchronous communication](/company/culture/all-remote/asynchronous/){:data-ga-name="asynchronous"}{:data-ga-location="body"} gives flexibility which better allows child care providers to combine work with parental responsibilities
1. [Non-linear workday](/company/culture/all-remote/non-linear-workday/){:data-ga-name="non linear workday"}{:data-ga-location="body"} 

#### Commercial Open Source Software (COSS)
1. Creates more value than old models; jobs created for the open source offer as well as the availability of software to build upon
1. [Buyer Based Open Core model](https://www.heavybit.com/library/video/commercial-open-source-business-strategies/) and business model education
1. [Our Stewardship of GitLab](/company/stewardship/){:data-ga-name="stewardship"}{:data-ga-location="body"}

#### Accelerating tech careers 
1. [GitLab for education](/solutions/education/){:data-ga-name="education"}{:data-ga-location="body"} has issued 1.6M+ seats of top-tier GitLab to 800+ educational institutions in 65+ countries
1. Collaboration with [The Last Mile](/blog/2020/11/13/thelastmile-gitlab/){:data-ga-name="the last mile"}{:data-ga-location="body"} 
1. Guidance and coaching on [how to use open source contributions to build resumes and network](https://thenewstack.io/the-opportunity-of-open-source-to-create-opportunities-for-others/){:data-ga-name="open source opportunities"}{:data-ga-location="body"}
1. Participation in internship programs such as [Outreachy](/blog/2021/04/15/outreachy-sponsorship-winter-2020/){:data-ga-name="outreachy"}{:data-ga-location="body"} and [Google of Summer Code](https://summerofcode.withgoogle.com/organizations/4961424868114432/){:data-ga-name="Google of summer code"}{:data-ga-location="body"}: .
1. [Engineering Internships](/handbook/engineering/internships/){:data-ga-name="engineering internships"}{:data-ga-location="body"} at GitLab
1. [Engineering mentoring and coaching programs](/handbook/engineering/#mentorship-and-coaching-programs){:data-ga-name="mentoring and couching"}{:data-ga-location="body"} for GitLab team members
1. [Be the bridge program](/company/culture/inclusion/be-the-bridge-program/){:data-ga-name="be the bridge"}{:data-ga-location="body"}  
1. [GitLab Learn](https://gitlab.edcast.com/) courses which can create pathways for targeted groups (for example, career transitioning or new to Open Source)

### DevOps Platform

The DevOps Platform brings together developers, operations and security professionals and empowers them to innovate at new levels-- making it faster, more secure, and more accessible.

#### Faster
1. Accelerate the software delivery process to meet business objectives
1. New way of making applications
    1. 5 minute production app, Ops2Dev
    1. Day 2 operations
1. Automate the following so it isn't a roadblock anymore:
    1. Secure
    1. Compliance
    1. Testing
    1. Running

#### More Secure
1. Simplify processes to comply with internal processes, controls and industry regulations without compromising speed
1. Run security scans earlier and for all projects

#### More Accessible
1. Allow anyone to be a creator
1. Make GitLab easier to use, higher [System Usability Scale (SUS)](/handbook/engineering/ux/performance-indicators/system-usability-scale/) score
1. Visibility into DevOps success

## Purpose Resources 

Additional Purposes resources: 
1. [Creating a Meaningful Corporate Purpose](https://docs.google.com/document/d/1mXYu-Wf5lzcRC7yknSKCKpdgXx3DEO-E/edit)
2. [Find Your Why: A Practical Guide for Discovering Purpose for You and Your Team](https://www.amazon.com/Find-Your-Why-Practical-Discovering/dp/0143111728)

